### Signal

# Gtk Widget::mnemonic-activate

#### Declaration

    gboolean
    mnemonic_activate (
      GtkWidget* self,
      gboolean group_cycling,
      gpointer user_data
    )

#### Description [src]

Emitted when a widget is activated via a mnemonic.

The default handler for this signal activates `widget` if `group_cycling` is `FALSE`, or just makes `widget` grab focus if `group_cycling` is `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`group_cycling`

  Type: `gboolean`

  `TRUE` if there are other widgets with the same mnemonic.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.